API ReferenceDirectors
Get all directors
Retrieve all directors for the organisation.
GET
/v1/directorsAuthorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
page?number
limit?number
activeOnly?boolean
Filter to show only active directors
firstName?string
Filter by first name
lastName?string
Filter by last name
email?string
Filter by email
nin?string
Filter by NIN
startDate?string
endDate?string
Response Body
application/json
curl -X GET "https://example.com/v1/directors"{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "directors": [ { "id": "string", "organisationId": "string", "firstName": "string", "lastName": "string", "fullName": "string", "email": "string", "phone": "string", "nin": "string", "address": "string", "dateOfBirth": "2019-08-24T14:15:22Z", "isActive": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": 0 }}